<?php
if(!defined('IN_DEMOSOSO')) {
    exit('this is wrong page,please back to homepage');
}
?>

<?php
 //pre($row_detail);
$dhtrigger = 'slick'.rand(1000,9999);
$videoid= $row_detail['videoid']; $albumid= $row_detail['albumid'];
$nodepidname= $row_detail['pidname'];
$detpriceold= $row_detail['detpriceold'];$detprice= $row_detail['detprice'];
$stock= $row_detail['stock'];
$sku= $row_detail['sku'];
$desptext= web_despdecode($row_detail['desptext']);
$desp= web_despdecode($row_detail['desp']);
$despv = $desptext<>''?$desptext:$desp;

$despcan = detail_nodetext('node','nodeprocan',$nodepidname);
 
$detailkv = $row_detail['kv'];
$titledetail = $title; //override by album.so set again
?>
<h1><?php echo decode($titledetail); ?></h1>
<?php
publishtext(); // in frontcommon.php

detail_fontsize();
?>
<div class="content_desp content_size">
	<?php
 
 // $albumid2 = $nodepidname;
  //$langalbum = LANG;

  $albumid2 = $albumid==''?$nodepidname:$albumid;


  if($albumid<>'') $langalbum = get_fieldnolang(TABLE_NODE,'lang',$albumid,'pidname');
else $langalbum = LANG;
//$langalbum use in album file
 
$row_abm = detail_album('node',$albumid2,'');


if(!$row_abm)  { 

   if($detailkv<>'' && $nodekvshow=='y'){
    echo '<div class="kv c">';
    echo get_img($detailkv,$title,'div');
     echo '</div>';
   }

 
}
else {
  $cus_columnsv = ' '.cus_columnsfun($cus_columns_album);

//if(DMFABU=='n'){    //此代码仅测试时用。
 //echo @$_COOKIE["cookievaluealbum"];
  //if(@$_COOKIE["cookievaluealbum"]<>'')  $albumfg = @$_COOKIE["cookievaluealbum"];
//}

   //if(substr($albumfg,0,5)=='self_')  $albumfile = TPLCURROOT.'selfblock/album/'.$albumfg;
   //else if(substr($albumfg,0,5)=='dmre_')   $albumfile =  REGIONROOT.'dmregion_block/dmreblock/album/'.$albumfg;
   //else  $albumfile = BLOCKROOT.'album/'.$albumfg;
 //$albumfile = BLOCKROOT.'jteffect/'.$albumfg.'.php';
 if(substr($albumfg,0,5)=='self_') $albumfile =  TPLCURROOT.'selfblock/album/'.$albumfg;
   else  $albumfile =SYSBLOCKROOT.'album/'.$albumfg;

  if(checkfile($albumfile))  require($albumfile);

}

 
//----------------------
if($shop_price=='y'){
  echo '<div class="shopcan">';
  
   if($detprice<>0)  {
        echo '<div class="detailprice detailpriceold"><span class="w1">'.PRICE_TEXTOLD.'</span><span class="w2"><em>'.PRICE_CURRENCY.'</em><strong class="del">'.$detpriceold.'</strong></span></div>';

          echo '<div class="detailprice detailpricenow"><span class="w1">'.PRICE_TEXT.'</span><span class="w2"><em>'.PRICE_CURRENCY.'</em><strong class="price">'.$detprice.'</strong></span></div>';
        }
       // if($sku<>'') echo '<div class=" ">'.PRICE_MODEL.$sku.'</div>';
       // if($stock<>0) echo '<div class=" ">'.PRICE_STOCK.$stock.'</div>';
       if($detlinktitle<>'' && $detlinkurl<>'') echo '<div class="detaillinkurl dmbtn mt10 moresm"><a class="more " href="'.$detlinkurl.'" target="_blank"><i class="fa fa-shopping-cart"></i> '.$detlinktitle.'</a></div>';
 echo '</div>';

} //hide price part

//---先输出参数---------
 $can_title = $can_title==''?'参数':$can_title;
if($despcan) {
    echo '<div class="bodyheader"><h3>'.$can_title.'</h3></div>';
   
     echo '<div class="nodedesp">';
        dmblockid($despcan);
     echo '</div>';
    
  
} 

//输出内容：
if($news_title<>'') echo '<div class="bodyheader"><h3>'.$news_title.'</h3></div>';


detail_downloadurl($downloadurl);

echo '<div class="nodedesp">';
dmblockid($despv);
echo '</div>';


if($formblockid<>'') block($formblockid);

detail_linkmore($linkmore);
detail_sharebtn();
?>
</div>

<?php


if($sta_tag=='y') taglink($nodepidname,$tag_title);

 if(substr($nextprev,0,5)=='self_')  $file = TPLCURROOT.'selfblock/nextprev/'.$nextprev;
   else  $file = SYSBLOCKROOT.'nextprev/'.$nextprev;
if(checkfile($file)) require $file;


$file = SYSBLOCKROOT.'relative/vv_relative.php'; 
if(checkfile($file)) require $file;


 ?>
